Create a Cloud Connected cluster.

Base URL
https://api.elastic-cloud.com
  • POST /api/v1/cloud-connected/clusters
Auth

Create a Cloud Connected cluster to onboard a self-managed cluster.

Query parameters

create_api_key boolean · default: false

If true, the response will return an API Key with cloud-connected-admin permissions scoped to the cluster being created. This API Key will be revoked when the cluster is disconnected.

Request body

Configuration of the Cloud Connected cluster to create.

name string · max length: 255

Descriptive name for a Cloud Connected cluster.

self_managed_cluster object required

A self-managed cluster.

id string required

ID of the self-managed cluster.

name string required

Descriptive name for a self managed cluster.

version string required

The version of the self-managed cluster.

license object required

The license of the self-managed cluster

type enum required

The type of the self-managed cluster license.

Values: trial basic standard dev silver gold platinum enterprise
uid string required

The unique identifier of the self-managed cluster license.

Responses

The Cloud Connected cluster already existed.

application/json
id string · pattern: ^[a-z0-9]{32}$ required

ID of the Cloud Connected cluster.

name string · max length: 255 required

Descriptive name for a Cloud Connected cluster.

metadata object required

Additional details about the Cloud Connected cluster.

created_at string · format: date-time required

Date and time when the cluster was onboarded.

created_by string required

ID of the user.

organization_id string · pattern: ^[a-z0-9]{1,32}$ required

The Organization ID which owns the cluster.

self_managed_cluster object required

A self-managed cluster.

id string required

ID of the self-managed cluster.

name string required

Descriptive name for a self managed cluster.

version string required

The version of the self-managed cluster.

license object required

The license of the self-managed cluster

type enum required

The type of the self-managed cluster license.

Values: trial basic standard dev silver gold platinum enterprise
uid string required

The unique identifier of the self-managed cluster license.

services object required

A list of Cloud services that can be enabled for a cluster.

auto_ops object required

Information about the state and configuration for the AutoOps service

enabled boolean required

whether the AutoOps service is enabled for the cluster

support object required

Information about whether a service is supported for a cluster

supported boolean required

whether the service can be enabled for the cluster

valid_license_types enum[] required

list of license types that support the service.

Values: trial basic standard dev silver gold platinum enterprise
minimum_stack_version string required

minimum stack version that supports the service.

config object

Configuration for the AutoOps service

region_id string required

Unique human-readable identifier for a region in Elastic Cloud.

metadata object required

Metadata information for the AutoOps service, including documentation and service URLs

documentation_url string · format: uri required

URL to the service documentation

service_url string · format: uri

URL to access the service for this cluster.

connect_url string · format: uri required

URL to connect to the service.

subscription object required

Subscription requirements for a service.

required boolean required

Whether a subscription is required for this service.

eis object required

Information about the state and configuration for the EIS service

enabled boolean required

whether the EIS service is enabled for the cluster

support object required

Information about whether a service is supported for a cluster

supported boolean required

whether the service can be enabled for the cluster

valid_license_types enum[] required

list of license types that support the service.

Values: trial basic standard dev silver gold platinum enterprise
minimum_stack_version string required

minimum stack version that supports the service.

metadata object required

Base metadata information for a service, including documentation URL

documentation_url string · format: uri required

URL to the service documentation

subscription object required

Subscription requirements for a service.

required boolean required

Whether a subscription is required for this service.

key string

The API Key to manage the Cloud Connected cluster.

Response headers

ETag string

The created Cloud Connected cluster.

application/json
id string · pattern: ^[a-z0-9]{32}$ required

ID of the Cloud Connected cluster.

name string · max length: 255 required

Descriptive name for a Cloud Connected cluster.

metadata object required

Additional details about the Cloud Connected cluster.

created_at string · format: date-time required

Date and time when the cluster was onboarded.

created_by string required

ID of the user.

organization_id string · pattern: ^[a-z0-9]{1,32}$ required

The Organization ID which owns the cluster.

self_managed_cluster object required

A self-managed cluster.

id string required

ID of the self-managed cluster.

name string required

Descriptive name for a self managed cluster.

version string required

The version of the self-managed cluster.

license object required

The license of the self-managed cluster

type enum required

The type of the self-managed cluster license.

Values: trial basic standard dev silver gold platinum enterprise
uid string required

The unique identifier of the self-managed cluster license.

services object required

A list of Cloud services that can be enabled for a cluster.

Same fields as services
key string

The API Key to manage the Cloud Connected cluster.

Response headers

ETag string

Bad request

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Unauthorized

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Forbidden

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Unprocessable entity

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Base URL
https://api.elastic-cloud.com